<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:outlineAmbientShadowColor="#221B1B"
    tools:context=".TranferInProcess_Activity">


    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="Transfer in process"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">

        <TextView
            android:id="@+id/txt_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:maxLines="1"
            android:singleLine="true"
            android:text="User :"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_device"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="right"
            android:text="Divice :"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

        <TextView
            android:id="@+id/textView4"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="No"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView5"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8"
            android:background="@drawable/background_header"
            android:gravity="left|center"
            android:paddingLeft="10dp"
            android:text="Parts NO\nLot No"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView6"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="\nBox No."
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/textView7"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.85"
            android:background="@drawable/background_header"
            android:gravity="left|center"
            android:paddingLeft="5dp"
            android:text="Label Qty\nMove Qty"
            android:textColor="@color/black"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/textView8"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/background_header"
            android:gravity="left|center"
            android:paddingLeft="5dp"
            android:text="Location\nUnit"
            android:textColor="@color/black"
            android:textSize="11sp" />

        <TextView
            android:id="@+id/textView9"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.9"
            android:background="@drawable/background_header"
            android:gravity="center"
            android:text="Status"
            android:textColor="@color/black"
            android:textSize="14sp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/view_data"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/layout_location"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout2" />

    <LinearLayout
        android:id="@+id/layout_location"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/layout_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/textView16"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="0.9"
            android:gravity="left|center"
            android:text="Location :"
            android:textColor="@color/black"
            android:textSize="14sp" />


        <TextView
            android:id="@+id/txt_location"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8"
            android:background="@drawable/img_background_gray"
            android:drawableEnd="@android:drawable/arrow_down_float"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/textView17"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="Total :"
            android:textColor="@color/black"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/txt_total"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.77"
            android:background="@drawable/img_background_gray"
            android:gravity="center"
            android:text="0"
            android:textColor="@color/black"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_button"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/btn_clear"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_yellow"
            android:onClick="onClick"
            android:text="Clear [P3]"
            android:textAllCaps="false"
            android:textSize="17dp" />

        <Button
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_blue"
            android:gravity="center"
            android:onClick="onClick"
            android:text="Confirm [P4]"
            android:textAllCaps="false"
            android:textSize="17dp" />
    </LinearLayout>


    <RelativeLayout
        android:id="@+id/popupLayout4"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:paddingLeft="5dp"
        android:paddingTop="80dp"
        android:paddingRight="5dp"
        android:paddingBottom="15dp"
        android:visibility="gone"
        android:weightSum="1.0">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/status_imported"
            android:paddingLeft="5dp"
            android:paddingTop="5dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:weightSum="1.0"
            tools:context=".CompletionActivity">


            <TextView
                android:id="@+id/popupLayout4_txt"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="15dp"
                android:layout_marginBottom="5dp"
                android:background="@color/color_header"
                android:paddingLeft="30dp"
                android:paddingRight="30dp"
                android:text="Change move Qty"
                android:textAlignment="center"
                android:textColor="@color/white"
                android:textSize="24dp" />


            <LinearLayout
                android:id="@+id/layout_label_qty"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="60dp"
                android:orientation="horizontal">


                <TextView
                    android:id="@+id/textView11"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_weight="0.9"
                    android:gravity="left|center"
                    android:text="Label Qty:"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <EditText
                    android:id="@+id/txt_label_qty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.4"
                    android:background="@drawable/button_background_menu_"
                    android:gravity="center"
                    android:editable="false"
                    android:textColor="@color/black"
                    android:textSize="17sp" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_move_qty"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="110dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:layout_weight="0.9"
                    android:gravity="left|center"
                    android:text="Move Qty:"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <EditText
                    android:id="@+id/txt_move_qty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.4"
                    android:background="@drawable/button_background_menu_"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:textSize="17sp" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_confirm_move"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="200dp"
                android:orientation="horizontal">


                <Button
                    android:id="@+id/btn_cancel"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_yellow"
                    android:gravity="center"
                    android:onClick="onClick"
                    android:text="CANCEL [P1]"
                    android:textAllCaps="false"
                    android:textSize="17dp" />

                <Button
                    android:id="@+id/btn_ok"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_green"
                    android:onClick="onClick"
                    android:text="OK [ENT]"
                    android:textAllCaps="false"
                    android:textSize="17dp" />
            </LinearLayout>


        </RelativeLayout>
    </RelativeLayout>

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />


</androidx.constraintlayout.widget.ConstraintLayout>